Subject: bug#23924: 25.1.50; Emacs NSInternalInconsistencyException on macos Sierra developer beta 2

From: Bob Halley <[email-masked]>
Date: Mon, 11 Jul 2016 08:13:54 -0700

> Is it a bad thing to just always set send_appdefined=YES?  The code appears to be trying to suppress appdefined events in some cases, but it's not clear to me what happens if we stop trying to send only one.  Naively I'd think "why not, so the run loop gets stopped twice, it's a little extra work" but I don't know this code and am not familiar with the macOS API :)

FWIW, I made my emacs just always have send_appdefined=YES and nothing obviously bad has happened so far.